package com.braintree.converters.populators.configuration;

import com.braintree.hybris.data.BraintreeConnectWithPayPalConfigurationData;
import de.hybris.platform.converters.Populator;
import de.hybris.platform.core.model.BraintreeConnectWithPayPalConfigurationModel;
import de.hybris.platform.servicelayer.dto.converter.ConversionException;

public class BraintreeConnectWithPayPalConfigurationPopulator implements Populator<BraintreeConnectWithPayPalConfigurationModel, BraintreeConnectWithPayPalConfigurationData> {

    @Override
    public void populate(BraintreeConnectWithPayPalConfigurationModel source, BraintreeConnectWithPayPalConfigurationData target) throws ConversionException {
        target.setAddPaymentMethodFlow(source.isAddPaymentMethodFlow());
        target.setLinkUserAccount(source.isLinkUserAccount());
        target.setEnable(source.isEnable());
        target.setLippAdditionalSecurity(source.isLippAdditionalSecurity());
    }
}
